Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(70)

Issue 2885173002: Make AudioDebugFileWriter create its own file worker thread. (Closed)

Created:
2 years, 3 months ago by Sébastien Marchand
Modified:
2 years, 3 months ago
CC:
chromium-reviews, jam, darin-cc_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make AudioDebugFileWriter create its own file worker thread. Remove the task_runner from AudioDebugFileWriter's constructor and make it use the new TaskScheduler API. TaskRunners shouldn't be passed through several components. Instead, the component that uses a TaskRunner should be the one that creates it. The main change of this CL is in media/audio/audio_debug_file_writer.h, the rest is mostly plumbing. TBR=jam@chromium.org BUG=689520 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2885173002 Cr-Commit-Position: refs/heads/master@{#473690} Committed: https://chromium.googlesource.com/chromium/src/+/4d7742ed008b3b749a757d52f75133dfd5d7f44c

Patch Set 1 #

Total comments: 1

Patch Set 2 : Make AudioDebugFileWriter create its own file thread. #

Patch Set 3 : Make AudioDebugFileWriter create its own file thread. #

Total comments: 8

Patch Set 4 : Address Gab's comments. #

Patch Set 5 : Address Gab's comments. #

Patch Set 6 : More fixes #

Patch Set 7 : Rebase #

Patch Set 8 : Rebase #

Patch Set 9 : include #

Patch Set 10 : Remove useless include #

Unified diffs Side-by-side diffs Delta from patch set Stats (+85 lines, -182 lines) Patch
M content/browser/browser_main_loop.cc View 1 2 3 4 5 6 1 chunk +0 lines, -1 line 0 comments Download
M content/browser/renderer_host/media/audio_input_renderer_host.cc View 1 2 2 chunks +1 line, -3 lines 0 comments Download
M content/browser/renderer_host/media/audio_input_renderer_host_unittest.cc View 1 2 2 chunks +5 lines, -7 lines 0 comments Download
M content/browser/speech/speech_recognizer_impl.cc View 1 2 1 chunk +1 line, -2 lines 0 comments Download
M media/audio/audio_debug_file_writer.h View 1 2 3 4 5 6 7 8 9 3 chunks +5 lines, -5 lines 0 comments Download
M media/audio/audio_debug_file_writer.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -4 lines 0 comments Download
M media/audio/audio_debug_file_writer_unittest.cc View 1 2 3 8 chunks +12 lines, -37 lines 0 comments Download
M media/audio/audio_debug_recording_helper.h View 1 2 3 4 5 3 chunks +1 line, -6 lines 0 comments Download
M media/audio/audio_debug_recording_helper.cc View 1 6 7 8 9 3 chunks +3 lines, -6 lines 0 comments Download
M media/audio/audio_debug_recording_helper_unittest.cc View 1 6 chunks +8 lines, -13 lines 0 comments Download
M media/audio/audio_debug_recording_manager.h View 1 3 chunks +1 line, -7 lines 0 comments Download
M media/audio/audio_debug_recording_manager.cc View 1 3 chunks +4 lines, -8 lines 0 comments Download
M media/audio/audio_debug_recording_manager_unittest.cc View 1 3 chunks +4 lines, -10 lines 0 comments Download
M media/audio/audio_input_controller.h View 1 4 chunks +8 lines, -13 lines 0 comments Download
M media/audio/audio_input_controller.cc View 1 4 5 6 chunks +7 lines, -14 lines 0 comments Download
M media/audio/audio_input_controller_unittest.cc View 1 4 chunks +4 lines, -4 lines 0 comments Download
M media/audio/audio_manager.h View 1 2 3 2 chunks +1 line, -6 lines 0 comments Download
M media/audio/audio_manager.cc View 1 2 3 2 chunks +2 lines, -6 lines 0 comments Download
M media/audio/audio_manager_base.h View 1 2 chunks +2 lines, -4 lines 0 comments Download
M media/audio/audio_manager_base.cc View 1 2 chunks +6 lines, -11 lines 0 comments Download
M media/audio/audio_manager_unittest.cc View 1 3 chunks +5 lines, -9 lines 0 comments Download
M media/audio/mock_audio_manager.h View 1 1 chunk +1 line, -2 lines 0 comments Download
M media/audio/mock_audio_manager.cc View 1 1 chunk +1 line, -2 lines 0 comments Download
M media/audio/test_audio_input_controller_factory.cc View 1 1 chunk +1 line, -2 lines 0 comments Download

Messages

Total messages: 75 (61 generated)
Sébastien Marchand
PTAL.
2 years, 3 months ago (2017-05-16 20:03:11 UTC) #4
fdoray
https://codereview.chromium.org/2885173002/diff/1/content/browser/speech/speech_recognizer_impl.cc File content/browser/speech/speech_recognizer_impl.cc (right): https://codereview.chromium.org/2885173002/diff/1/content/browser/speech/speech_recognizer_impl.cc#newcode639 content/browser/speech/speech_recognizer_impl.cc:639: audio_controller_ = AudioInputController::Create( The TaskRunner ends up being used ...
2 years, 3 months ago (2017-05-17 14:58:52 UTC) #8
Sébastien Marchand
PTAL.
2 years, 3 months ago (2017-05-18 14:41:59 UTC) #20
gab
W00T, this is awesome :), please do a precursor CL for large comment below (I ...
2 years, 3 months ago (2017-05-18 16:10:10 UTC) #21
Sébastien Marchand
https://codereview.chromium.org/2885173002/diff/40001/media/audio/audio_debug_file_writer.h File media/audio/audio_debug_file_writer.h (right): https://codereview.chromium.org/2885173002/diff/40001/media/audio/audio_debug_file_writer.h#newcode87 media/audio/audio_debug_file_writer.h:87: base::CreateSingleThreadTaskRunnerWithTraits( On 2017/05/18 16:10:10, gab wrote: > In general ...
2 years, 3 months ago (2017-05-18 17:43:06 UTC) #22
gab
lgtm, please also do a pass to remove unused includes of single_thread_task_runner.h and possibly also ...
2 years, 3 months ago (2017-05-18 22:17:31 UTC) #31
Sébastien Marchand
+some WebRTC folks for owner approval, PTAL. https://codereview.chromium.org/2885173002/diff/40001/media/audio/audio_debug_file_writer_unittest.cc File media/audio/audio_debug_file_writer_unittest.cc (right): https://codereview.chromium.org/2885173002/diff/40001/media/audio/audio_debug_file_writer_unittest.cc#newcode175 media/audio/audio_debug_file_writer_unittest.cc:175: void WaitForRecordingCompletion() ...
2 years, 3 months ago (2017-05-20 00:28:22 UTC) #54
henrika (OOO until Aug 14)
I am only owner in media/audio/windows but lgtm from my side to prevent delays.
2 years, 3 months ago (2017-05-22 08:00:04 UTC) #57
tommi (sloooow) - chröme
lgtm
2 years, 3 months ago (2017-05-22 08:11:56 UTC) #58
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2885173002/180001
2 years, 3 months ago (2017-05-22 13:44:03 UTC) #61
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/443721)
2 years, 3 months ago (2017-05-22 13:53:16 UTC) #63
Sébastien Marchand
+jam@ for /content/browser approval.
2 years, 3 months ago (2017-05-22 14:16:29 UTC) #65
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2885173002/180001
2 years, 3 months ago (2017-05-22 20:57:14 UTC) #72
commit-bot: I haz the power
2 years, 3 months ago (2017-05-22 21:04:10 UTC) #75
Message was sent while issue was closed.
Committed patchset #10 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/4d7742ed008b3b749a757d52f751...

Powered by Google App Engine
This is Rietveld 408576698